restinio::asio_timer_manager_t::factory_t Struct Referencefinal

`#include <asio_timer_manager.hpp>`

## Public Member Functions

| factory_t () noexcept
| factory_t (std::chrono::steady_clock::duration check_period) noexcept
auto | create (asio_ns::io_context &io_context) const
| Create an instance of timer manager. More...

## Public Attributes

const std::chrono::steady_clock::duration | m_check_period { std::chrono::seconds{ 1 } }
| Check period for timer events. More...

## Detailed Description

Definition at line 99 of file asio_timer_manager.hpp.

## Constructor & Destructor Documentation

## factory_t() [1/2]

restinio::asio_timer_manager_t::factory_t::factory_t | ( |  | ) |

inlinenoexcept

Definition at line 105 of file asio_timer_manager.hpp.

## factory_t() [2/2]

restinio::asio_timer_manager_t::factory_t::factory_t | ( | std::chrono::steady_clock::duration | check_period | ) |

inlinenoexcept

Definition at line 106 of file asio_timer_manager.hpp.

## Member Function Documentation

## create()

auto restinio::asio_timer_manager_t::factory_t::create | ( | asio_ns::io_context & | io_context | ) | const

inline

Create an instance of timer manager.

Definition at line 112 of file asio_timer_manager.hpp.

## Member Data Documentation

## m_check_period

const std::chrono::steady_clock::duration restinio::asio_timer_manager_t::factory_t::m_check_period { std::chrono::seconds{ 1 } }

Check period for timer events.

Definition at line 103 of file asio_timer_manager.hpp.

The documentation for this struct was generated from the following file:

- restinio/asio_timer_manager.hpp